package app.entities;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import java.io.Serializable;

@Entity
@Table(name = "omp_student")
public class StudentEntity implements Serializable {

    @Id
    private String username;

    @Column
    private String password;

    @Column
    private String email;

    public StudentEntity() {
    }

    public StudentEntity(String username, String password, String email){
        this.setUsername(username);
        this.setPassword(password);
        this.setEmail(email);
    }

    public String getUsername() {
        return username;
    }

    public void setUsername(String username) {
        this.username = username;
    }

    public String getPassword() {
        return password;
    }

    public void setPassword(String password) {
        this.password = password;
    }

    public String getEmail() {
        return email;
    }

    public void setEmail(String email) {
        this.email = email;
    }

    public boolean isEmpty() {
        return this.username.isEmpty() && this.password.isEmpty() && this.email.isEmpty();
    }
}
